# Get chargebacks

## Chargebacks Endpoint

> Retrieve the details of all your Chargebacks in a given time.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Chargebacks Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedChargebacks":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Chargeback"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"Chargeback":{"type":"object","properties":{"idChargeback":{"type":"integer"},"creationDate":{"type":"string","format":"date-time"},"lastChangeDate":{"type":"string","format":"date-time"},"idMerchant":{"type":"integer"},"inMediation":{"type":"boolean"},"idDeposit":{"type":"integer"},"amount":{"type":"number"},"merchantAmount":{"type":"number"},"merchantCurrency":{"type":"string"},"merchantName":{"type":"string"},"country":{"type":"string"},"countryName":{"type":"string"},"status":{"type":"string"},"notified":{"type":"boolean"},"currency":{"type":"string"},"externalId":{"type":"string"},"comments":{"type":"string"}}}}},"paths":{"/chargebacks":{"get":{"summary":"Chargebacks Endpoint","description":"Retrieve the details of all your Chargebacks in a given time.","operationId":"getChargebacks","tags":["Transactions"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in UnixTimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in Unix TimeStamp format - max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}},{"name":"country","in":"query","description":"Country code.","schema":{"type":"string","maxLength":2}},{"name":"status","in":"query","description":"Transaction status.","schema":{"type":"string","enum":["PENDING","COMPLETED","CANCELLED","FAILED"]}}],"responses":{"200":{"description":"A paginated list of chargebacks.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedChargebacks"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-chargebacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
